summaryrefslogtreecommitdiff
path: root/dev-python/protobuf-python/protobuf-python-3.19.3-r1.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-12 13:55:10 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-12 13:55:10 +0000
commit1d1fa5bb30df70070bbbbd2b777b839d31f09c41 (patch)
tree1de232cb54b3e38192fe129b9e186e2013014396 /dev-python/protobuf-python/protobuf-python-3.19.3-r1.ebuild
parenta5d4befb137af47bb51825ecb406c2ae2ecd41f0 (diff)
downloadbaldeagleos-repo-1d1fa5bb30df70070bbbbd2b777b839d31f09c41.tar.gz
baldeagleos-repo-1d1fa5bb30df70070bbbbd2b777b839d31f09c41.tar.xz
baldeagleos-repo-1d1fa5bb30df70070bbbbd2b777b839d31f09c41.zip
Adding metadata
Diffstat (limited to 'dev-python/protobuf-python/protobuf-python-3.19.3-r1.ebuild')
-rw-r--r--dev-python/protobuf-python/protobuf-python-3.19.3-r1.ebuild67
1 files changed, 67 insertions, 0 deletions
diff --git a/dev-python/protobuf-python/protobuf-python-3.19.3-r1.ebuild b/dev-python/protobuf-python/protobuf-python-3.19.3-r1.ebuild
new file mode 100644
index 000000000000..153fe4a06533
--- /dev/null
+++ b/dev-python/protobuf-python/protobuf-python-3.19.3-r1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 2008-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+if [[ "${PV}" == "9999" ]]; then
+ inherit git-r3
+
+ EGIT_REPO_URI="https://github.com/protocolbuffers/protobuf"
+ EGIT_SUBMODULES=()
+fi
+
+DESCRIPTION="Google's Protocol Buffers - Python bindings"
+HOMEPAGE="
+ https://developers.google.com/protocol-buffers/
+ https://github.com/protocolbuffers/protobuf/
+"
+if [[ "${PV}" != "9999" ]]; then
+ SRC_URI="
+ https://github.com/protocolbuffers/protobuf/archive/v${PV}.tar.gz
+ -> protobuf-${PV}.tar.gz
+ "
+fi
+S="${WORKDIR}/protobuf-${PV}/python"
+
+LICENSE="BSD"
+SLOT="0/30"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+BDEPEND="
+ ${PYTHON_DEPS}
+ ~dev-libs/protobuf-${PV}
+ dev-python/six[${PYTHON_USEDEP}]
+"
+DEPEND="
+ ${PYTHON_DEPS}
+ ~dev-libs/protobuf-${PV}
+"
+RDEPEND="${BDEPEND}"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_CHECKOUT_DIR="${WORKDIR}/protobuf-${PV}"
+fi
+
+distutils_enable_tests setup.py
+
+python_prepare_all() {
+ pushd "${WORKDIR}/protobuf-${PV}" > /dev/null || die
+ eapply "${FILESDIR}/${PN}-3.19.0-google.protobuf.pyext._message.PyUnknownFieldRef.patch"
+ eapply_user
+ popd > /dev/null || die
+
+ distutils-r1_python_prepare_all
+}
+
+src_configure() {
+ DISTUTILS_ARGS=(--cpp_implementation)
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name "*.pth" -type f -delete || die
+}